> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/logon-hours/day-plan.md).

# Day Plan

## Get

> Retrieve information about day plan properties from the logon hours setting.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/LogonHours/{id}/DayPlan":{"get":{"tags":["2-Site settings/Logon Hours//DayPlan"],"summary":"Get","description":"Retrieve information about day plan properties from the logon hours setting.","operationId":"1f52c773-d5bf-4731-aa88-b3588af4f0ac","parameters":[{"name":"id","in":"path","description":"The ID for which to retrieve the Day Plan settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/PermittedHourPlan"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PermittedHourPlan":{"type":"object","properties":{"sunday":{"$ref":"#/components/schemas/HourPlan"},"monday":{"$ref":"#/components/schemas/HourPlan"},"tuesday":{"$ref":"#/components/schemas/HourPlan"},"wednesday":{"$ref":"#/components/schemas/HourPlan"},"thursday":{"$ref":"#/components/schemas/HourPlan"},"friday":{"$ref":"#/components/schemas/HourPlan"},"saturday":{"$ref":"#/components/schemas/HourPlan"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Permitted Hour Plan</para>\r\n<para type=\"description\"></para>"},"HourPlan":{"enum":[["1 = h00","2 = h01","4 = h02","8 = h03","16 = h04","32 = h05","64 = h06","128 = h07","256 = h08","512 = h09","1024 = h10","2048 = h11","4096 = h12","8192 = h13","16384 = h14","32768 = h15","65536 = h16","131072 = h17","262144 = h18","524288 = h19","1048576 = h20","2097152 = h21","4194304 = h22","8388608 = h23"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Hour Plan</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify properties of day plan properties from the logon hours setting.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/LogonHours/{id}/DayPlan":{"put":{"tags":["2-Site settings/Logon Hours//DayPlan"],"summary":"Update","description":"Modify properties of day plan properties from the logon hours setting.","operationId":"31c827de-1ab1-409a-8b9c-be9abd641335","parameters":[{"name":"id","in":"path","description":"The ID for which to modify the Day Plan.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Day Plan Settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetDayPlan"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetDayPlan":{"required":["hourPlan","objType","weekDays"],"type":"object","properties":{"objType":{"$ref":"#/components/schemas/DayPlanObjType"},"permission":{"$ref":"#/components/schemas/Permission"},"weekDays":{"$ref":"#/components/schemas/WeekDays"},"hourPlan":{"$ref":"#/components/schemas/HourPlan"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update day plan property settings</para>\r\n<para type=\"description\"></para>"},"DayPlanObjType":{"enum":[["98 = LogonHours"]],"type":"string","description":"<para type=\"synopsis\">RAS Day Plan Object Types</para>\r\n<para type=\"description\"></para>","format":"int32"},"Permission":{"enum":[["0 = Deny","1 = Permit"]],"type":"string","description":"<para type=\"synopsis\">Permit Or Deny</para>\r\n<para type=\"description\"></para>","format":"int32"},"WeekDays":{"enum":[["0 = None","1 = Sunday","2 = Monday","4 = Tuesday","8 = Wednesday","16 = Thursday","32 = Friday","64 = Saturday"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Week Days</para>\r\n<para type=\"description\"></para>","format":"int32"},"HourPlan":{"enum":[["1 = h00","2 = h01","4 = h02","8 = h03","16 = h04","32 = h05","64 = h06","128 = h07","256 = h08","512 = h09","1024 = h10","2048 = h11","4096 = h12","8192 = h13","16384 = h14","32768 = h15","65536 = h16","131072 = h17","262144 = h18","524288 = h19","1048576 = h20","2097152 = h21","4194304 = h22","8388608 = h23"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Hour Plan</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/logon-hours/day-plan.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
